
Foreman - Feature #10780

Provide a hostgroup class FactoryGirl helper for provisioning

06/11/2015 04:31 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Tests   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2451

  

Description

Due to changes in #7096 hostgroup fixtures no longer works. Let's provide some helpers that Discovery plugin can use.

Related issues:

Related to Discovery - Bug #10781: Tests are broken after ptables patch Closed 06/11/2015

Associated revisions

Revision 0bda5632 - 06/17/2015 09:42 AM - Lukas Zapletal

Fixes #10780 - factory girl examples for provisioning

History

#1 - 06/11/2015 04:40 AM - Lukas Zapletal

- Related to Bug #10781: Tests are broken after ptables patch added

#2 - 06/11/2015 09:38 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2451 added

- Pull request deleted ()

#3 - 06/17/2015 10:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0bda5632c3c4c30cf89bd5310f8d43ae136f79b3.

#4 - 06/17/2015 10:06 AM - Marek Hulán

- translation missing: en.field_release set to 35
